<!-- begin productcode -->
<?php
$actual_url = "/";
$image_dir = "images/eshop_products/";
foreach ($this->breadcrumbs_url as $value) {
    $actual_url.=$value . "/";    
}
$cart = new Zend_Session_Namespace('Cart');
if (!empty($this->products)) {
    $l = 1;
    $j = 0;
    //rowdisplay je počet řad, které zobrazí produkty po dvou
    $products_by_two = $this->rowdisplay * 2;
    foreach ($this->products as $k => $v) {
        $id = $v['product_id'];
        ?>
        <!-- begin product -->
        <div class='product'>
            <a href='<?= $actual_url . $v['alias'] ?>' title='<?= $v['title'] ?>'> 
                <div class='imageholder'>
                <?php if (!empty($cart->$v['product_id'])) { ?>
                    <img id='kosik' class='kosik' src='/graphics/kosik_ico.png' alt='<?= $v['title'] ?>' />
                    <p id='pocet' class='kosikcislo cufon'><?= $cart->$v['product_id']->quantity ?></p>
                    <?php
                }
                if ($v['new']) {
                    ?>
                    <img src='/graphics/novinka_<?= $this->lang ?>.png' alt='' style='position: absolute; z-index:3'/>
                    <?php
                }
                if ($v['certified']) {
                    ?>
                    <img src='/graphics/certifikace_<?= $this->lang ?>.png' alt='' style='position: absolute; z-index:4'/>
                <?php } 
                if (Zend_Uri::check(IMG_URL . $image_dir . $v['product_id'] . '_detail.jpg')) {
                ?>                    
                    <img src='<?= IMG_URL ?>/<?= $image_dir . $v['product_id'] ?>.jpg' alt='<?= $v['title'] ?>' />
                <?php } else { ?>
                    <img src='<?= IMG_URL ?>/<?= $image_dir ?>default.jpg' alt='default' />    
                <?php } ?>
                </div>
            </a>   
            <div class='textholder'>
                <a href='<?= $actual_url . $v['alias'] ?>' title='<?= $v['title'] ?>'>
                    <h2 class="cufon">
                        <?= $v['title'] ?>
                    </h2>   
                </a>
                <form method='post' action='/cart/add/'>
                    <p> 
                        <?php
                        echo (!empty($v['code'])) ? "<b>" . $this->str_code . "</b> " . $v['code'] . "<br/>" : "";
                        echo (!empty($v['material'])) ? "<b>" . $this->str_material . "</b> " . $v['material'] . "<br/>" : "";
                        echo (!empty($v['manufactured'])) ? "<b>" . $this->str_production . "</b> " . $v['manufactured'] . "<br/>" : "";
                        echo (!empty($v['note'])) ? $v['note'] . "<br/>" : "";
                        echo (!empty($this->hair) and ! empty($v['hair'])) ? "<b>" . $this->hair . "</b> " . $v['hair'] . "$this->hairunit<br/>" : "";
                        /* pro testovací účely
                        echo (!empty($v['timestamp'])) ? "<b>timestamp</b> " . $v['timestamp'] . "<br/>" : "";
                        echo (!empty($v['inv2b'])) ? "<b>inv2b</b> " . $v['inv2b'] . "<br/>" : "";
                        echo (!empty($v['inv3b'])) ? "<b>inv3b</b> " . $v['inv3b'] . "<br/>" : "";
                        echo (!empty($v['inv1a'])) ? "<b>inv1a</b> " . $v['inv1a'] . "<br/>" : "";
                        echo (!empty($v['inv1b'])) ? "<b>inv1b</b> " . $v['inv1b'] . "<br/>" : "";
                        */
                        //aby se na stránkách nezobrazoval záporný počet produktů
                        if ($v['available'] < 0) {$v['available'] = 0;}
                        echo (!empty($v['available'])) ? "<b>" . $this->str_available . "</b> " . $v['available'] . "<br/>" : "";
                        //hack pro látky
                        if ($this->modification == 1) {
                            echo (empty($v['price_unit']) or ( $v['price_unit'] == '0.00')) ? "" : "<b>" . $this->str_price4 . "</b> " . $this->currency->toCurrency($v['price_unit']) . " <br/>";
                        } else {
                            echo (empty($v['price_unit']) or ( $v['price_unit'] == '0.00')) ? "" : "<b>" . $this->str_price6 . "</b> " . $this->currency->toCurrency($v['price_unit']) . " <br/>";
                        }
                        //taky kvůli látkám
                        if ($this->modification == 1) {
                            $str_size = $this->str_size2;
                            $str_weight = $this->str_weight2;
                            $str_price = $this->str_price0;
                        } else {
                            $str_size = $this->str_size;
                            $str_weight = $this->str_weight;
                            $str_price = $this->str_price0;
                        }
                        if (strpos($v['size'], ';')) {
                            $sizes = explode(';', $v['size']);
                            echo "<b>$str_size</b><select name='size'>";
                            foreach ($sizes as $key => $value) {
                                echo (isset($cart->$id) and ($key == $cart->$id->size)) ? "<option value='$key' selected='selected' />$value" : "<option value='$key' />$value";
                            }
                            echo "</select><br/>";
                        } else {
                            echo "<b>$str_size</b> " . $v['size'] . "<br/>";
                        }
                        echo (!empty($v['weight'])) ? "<b>$str_weight</b> " . $v['weight'] . "<br/>" : "";
                        echo "<b>$str_price</b> " . $this->currency->toCurrency($v['price']) . " <br/>";
                        if ($v['status'] == '1') {
                            $allowSale = true;
                        } else {
                            $allowSale = false;
                        }
                        if (empty($v['price'])) {
                            $allowSale = false;
                        }
                        if (isset($v['available'])) {
                            if ($v['available'] < 1) {
                                $allowSale = false;
                            }
                            if (isset($cart->$v['product_id']) and ( $v['available'] <= $cart->$v['product_id']->quantity)) {
                                $allowSale = false;
                            }
                        }
                        ?>
                        <input type='hidden' name='product_id' value='<?= $v['product_id'] ?>'/>
                        <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>
                        <?php if ($allowSale) { ?>
                            <input style='width: 190px' type='submit' value='<?= $this->str_add ?>'/>
                        <?php } else { ?>
                            <input style="width: 190px" type="button" value="<?= $this->str_ask ?>" onclick="parent.location = 'mailto:<?= $this->email ?>?subject=<?= $this->str_question . " " . $v['title'] ?>'">
                        <?php } ?>
                    </p>
                </form>
            </div>
        </div>
        <!-- end product -->
        <?php
        $j++;
        echo "<!-- products_by_two = $products_by_two , j = $j -->";
        if (($j <= $products_by_two) && ($j % 2 == 0)) {
            echo "<div style='clear:left'></div>";
        } else if ($j > $products_by_two) {
            if ($l == 4) {
                echo "<div style='clear:left'></div>";
                $l = 1;
            } else {
                $l++;
            }
        }
    }
} else {
    ?>
    <h2 style='text-align: center'><?= $this->str_noproducts ?></h2>
<?php } ?>
<!-- end productcode -->